Bug 858423 - Incorrect description of a "Distributed Filesystem"
Incorrect description of a "Distributed Filesystem"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide (Show other bugs)
2.0
Unspecified Unspecified
low Severity high
: ---
: ---
Assigned To: Divya
Sudhir D
:
Depends On: 840481
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 18:20 EDT by Scott Haines
Modified: 2015-01-22 10:29 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 840481
Environment:
Last Closed: 2013-12-10 16:12:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Haines 2012-09-18 18:20:36 EDT
+++ This bug was initially created as a clone of Bug #840481 +++

The description of "Distributed File System" on page 13 (http://docs.redhat.com/docs/en-US/Red_Hat_Storage/2.0/html-single/Administration_Guide/index.html#chap-Administration_Guide-storage_concepts) explains what a networked filesystem is. The "distributed file system" should point out that the data from the filesystem is spread over multiple servers/bricks.

--- Additional comment from divya@redhat.com on 2012-09-04 07:07:20 EDT ---

Hi Niels,

Revised version is as follows:

"A file system that allows multiple clients to concurrently access data spread across multiple servers/bricks in a trusted storage pool. Sharing data is fundamental to all distributed file system."

Do let me know if you have any further comments before I update the guide with the revised version.

Thanks,
Divya

--- Additional comment from ndevos@redhat.com on 2012-09-04 11:41:20 EDT ---

"Sharing data is fundamental to all distributed file system." is not really clear in this context. The most important part of a "distributed filesystem" is that the data is stored/retrieved from multiple servers/bricks. Maybe you can write if like something as

"Data sharing among multiple locations is fundamental to all distributed file system."

Thanks,
Niels

--- Additional comment from divya@redhat.com on 2012-09-13 08:16:49 EDT ---

Updated Distributed File System description based on Niels suggestion. Updated guide is available at: http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Storage/2.0/html/Administration_Guide/chap-Administration_Guide-storage_concepts.html
Comment 2 Divya 2012-10-12 08:01:30 EDT
Updated Distributed File System description based on Niels suggestion. Updated guide is available at: http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Storage/2.0/html/Administration_Guide/chap-Administration_Guide-storage_concepts.html
Comment 3 Ujjwala 2012-12-11 00:11:22 EST
Verified it in the above link. 
Have a minor correction.
In the line -  
"Data sharing among multiple locations is fundamental to all distributed file system." 

can you make it "systems" instead of "system" as 'all' will be a plural.
Comment 5 Ujjwala 2013-05-03 02:18:15 EDT
Verified. Looks fine to me.
Comment 7 Scott Haines 2013-12-10 16:12:15 EST
This doc bug was fixed and verified against Red Hat Storage 2.1 enhancement and bug fix update (https://rhn.redhat.com/errata/RHBA-2013-1262.html) released 2013-09-16.  Moving bug to CLOSED - CURRENT RELEASE.

Note You need to log in before you can comment on or make changes to this bug.